#2225 closed defect (fixed)

Trac default owner

Reported by: Sebastian Huber Owned by: Amar Takhar
Priority: highest Milestone: 4.11
Component: tool/website Version:
Severity: blocker Keywords: migration
Cc: Blocked By:
Blocking:

Description

There should be a way to get a ticket a default owner (maybe devel@…) in case the current owner is not able to work on this ticket.

Change History (6)

comment:1 Changed on Dec 15, 2014 at 8:34:26 PM by Amar Takhar

Cc: migration added

There is no good way to do this. What really should happen is tickets that are left in the previous milestone need to be completed or pushed forward until its done. If a developer cannot work on a ticket they should abandon it to the pool.

If we have a default owner all that ends up happening is they sit around until someone does it -- which is exactly what would happen if we didn't have a default owner. The only difference is we'll judge age by time (which is easy) vs owner (the 'default') owner.

Someone else can chime in on whether they agree with this reasoning or not..

comment:2 Changed on Dec 15, 2014 at 8:39:54 PM by Amar Takhar

Cc: migration removed
Keywords: migration added

comment:3 Changed on Dec 16, 2014 at 9:46:25 AM by Sebastian Huber

I own for example ticket #2183, but I will not work on this. What should I do?

comment:4 in reply to:  3 Changed on Dec 16, 2014 at 3:32:51 PM by Amar Takhar

Owner: set to Amar Takhar
Status: newaccepted

Replying to sebastian.huber:

I own for example ticket #2183, but I will not work on this. What should I do?

I have added a new workflow item 'abandon' to give up a ticket if it is assigned or accepted.

If anyone has an issue with this bring it up.. otherwise I will close this ticket in a day or two.

comment:5 Changed on Mar 2, 2015 at 8:48:24 PM by Amar Takhar

Resolution: fixed
Status: acceptedclosed

Since nobody has objected I will close this.

comment:6 Changed on Mar 2, 2015 at 8:57:14 PM by Joel Sherrill

I tried to change the assigned from sebastian to unassigned on 2183 and don't see the workflow item.

Note: See TracTickets for help on using tickets.